/* Custom style portraits
--------------------------------------------- */

@font-face {
	font-family: Satoshi;
	src: url(web-fonts/Satoshi-Variable.woff2);
  }

@font-face {
	font-family: Boska;
	src: url(web-fonts/Boska-Variable.woff2);
}

body{
	font-family: Satoshi;
}


h2,
h3,
h4,
h5,
h6 {
	font-family: Boska;
}

/*.site-header,
.site-main,
.site.footer {
	padding: 1rem;
}*/

/*  HEADER  */

p.site-title {
	margin: 0;

}

.site-title a {
	display: block;
	width: 150px;
	height: 70px;
	background: url(images/cfpa-logo.png) no-repeat center center;
	background-size: contain;
	text-indent: -5000px;
}

.main-navigation {
    display: flex;
    justify-content: flex-end; 
	text-transform: uppercase;
	padding-right: 30px;
	font-size: 2rem;



}

.main-navigation ul {
    display: flex;
    gap: 30px; 
    list-style: none;
    margin: 0;
    padding: 0;
	font-weight: 400;

}

.main-navigation ul li a {
    color: #CFD7FF ;
}

.main-navigation .current-menu-item > a,
.main-navigation .current_page_item > a {
    font-weight: 1000;
	color: #002066;
	text-decoration: underline;


}

/*  FOOTER  */
.colophon {
	padding-top: 300px;
	margin-top: 300px;

}




/* HOME PAGE */

.backgroundtext {
	text-transform: uppercase;
	font-size: 30rem;
	color: grey;
	position: absolute;
	z-index: -1;
	top: 200px;
	line-height: 1;
	opacity: 0.2;
	display: none;
	margin: 0;
	

}

.home .backgroundtext{
	display: block;
}

.home .entry-header {
	display: none;
}

h1 {
	text-transform: uppercase;
	font-weight: 800;
	color: #0043D5;
	font-size: 10rem;
	padding-left: 30px;
	
}

.wp-block-group p{
    max-width: 1300px;
}

.wp-block-group {
	color: #0043D5;
    padding-left: 30px;
	font-weight: 600;
    line-height: 1; 
	font-size: 2rem;
	position: relative; /* nécessaire pour ::before et ::after */
	padding-top: 25px; /* espace entre texte et ligne du haut */
	padding-bottom: 25px; /* espace entre texte et ligne du bas */
}

/* Ligne au-dessus et en-dessous */
.wp-block-group::before,
.wp-block-group::after {
	content: "";
	position: absolute;
	left: 0;
	width: 100%;
	height: 2px; /* épaisseur de la ligne */
	background-color: #002066; /* couleur noire */
}*/

.wp-block-group::before {
	top: 0;
}

.wp-block-group::after {
	bottom: 0;
}


/* LES 3 IMAGES */

.home-images {
	position: relative;
	max-width: 1200px;
	margin: 100px auto;
	height: 600px; /* important pour contenir les absolute */
}

.img-main {
	position: absolute;
	width: 60%;
	left: 50%;
	transform: translateX(-50%);
	border-radius: 10px;
}

.img-top-right {
	position: absolute;
	width: 30%;
	right: 0;
	top: -50px;
	border-radius: 10px;
}

.img-bottom-left {
	position: absolute;
	width: 30%;
	left: 0;
	bottom: -50px;
	border-radius: 10px;
}


/* PORTRAITS GRID */


.portraits-grid article h3 a {
	text-transform: uppercase;
	font-weight: 800;
	color: #0043D5;
	text-decoration: none;
	font-size: 1.5rem;
}

.portraits-grid {
	display: flex;
	flex-wrap: wrap;
	gap: 30px; /* espace entre les colonnes et les lignes */
	max-width: 1200px; /* largeur totale du bloc */
	margin: 0 auto; /* centre horizontalement */
	padding: 0 20px; /* padding sur les côtés */
	box-sizing: border-box;
	justify-content: center; /* centre les colonnes */

}

.portraits-grid article {
	flex: 1 1 calc(50% - 15px); /* 2 colonnes parfaites */
	box-sizing: border-box;
}

h3 span, h1 span{
    font-size: 0.5rem;
    display: inline-block;
	

}

/* Search results */
.search article{
	background-color: bisque;
	display: flex;
	justify-content: space-between;
	margin-bottom: 1rem;
}

.search .search-results-thumbnail{
	width: 20%;
}

.search .search-results-thumbnail img{
	display: block;
}

.search-results-content-text{
	display: flex;
	justify-content: space-between;
	align-items: baseline;
	width: 75%;
}

.search .search-results-title{
	width: 30%;
}

.search .search-results-title h2{
	margin-top: 0;
	line-height: 1;
}

.search .search-results-excerpt p,
.search .search-results-excerpt .entry-summary{
	margin-top: 0;
}

.search .search-results-excerpt{
	width: 65%;
}